Skip to main content
PUT
https://api.dintero.com/v1
/
accounts
/
{oid}
/
auth
/
roles
/
{role_id}
aid_auths_roles_id_put
curl --request PUT \
  --url https://api.dintero.com/v1/accounts/{oid}/auth/roles/{role_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": [
    "read:accounts",
    "read:billing",
    "admin:shopping"
  ]
}
'
{
  "scope": [
    "read:accounts",
    "read:billing",
    "admin:shopping"
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "name": "order support",
  "description": "Administrate orders"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

role_id
string
required

The id of the rule to delete

Body

application/json

Role that can be assigned to users

scope
string[]
required
Example:
[
"read:accounts",
"read:billing",
"admin:shopping"
]
name
string
Example:

"order support"

description
string
Example:

"Administrate orders"

Response

Role updated

Role that can be assigned to users

scope
string[]
required
Example:
[
"read:accounts",
"read:billing",
"admin:shopping"
]
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
name
string
Example:

"order support"

description
string
Example:

"Administrate orders"

Last modified on May 12, 2026